#pragma once
#include <KinematicBody2D.hpp>

class Entite :
	public godot::KinematicBody2D
{
public:
	int id;

	int speed;
	int gravity;

	godot::Vector2 motion;

public:
	void _init();
	void _process(float delta);
	void UpdateMotionFromInput();
};

